function T = myexplicit2(a,dt,dx,x0,xf,t0,tf,n,m)
a=2.2;
dt=0.02; dx=0.3; x0=0; xf=6; t0=0; tf=0.02;
n = (xf-x0)/dx; m=(tf-t0)/dt;
x = [x0:dx:xf];
t = [t0:dt:tf];
r = (a*dt)/(dx^2);
T = zeros(m+1,n+1);
T(1,1:n+1) =3*(x.^2);
T(1:m+1,1) = zeros(m+1,1);
T(1:m+1,n+1) = ones(m+1,1);
for j = 1:m
    for i = 2:n
        % Note: U(rxc) = row by column 
        % Where j = row, i = column
        T(j+1,i) = r*T(j,i+1)+(1-(2*r))*T(j,i)+r*T(j,i-1)
    end
end
T
mesh(x,t,T)